
Application: gvSIG desktop - gvSIG bugs #467
Spliting Multipoligon layer, a rectangle appears onto the geometry
03/26/2012 12:23 PM - Victoria Agazzi

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.0.0-devel-2050
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2045 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Tools: Geometry editing (org.gvsig.editing)
Description

Hi, 
when you put in editing mode a multipoligon layer, and select the split tool, a rectangle appears covering the geometry. 
I attach image as example.

It occurs in Ubuntu and Windowsxp.

History
#1 - 04/06/2012 07:53 PM - Manuel Madrid
- Priority changed from Normal to Urgent

#2 - 05/30/2012 02:48 PM - Joaquín  del Cerro Murciano
- Category changed from Testing to Vector editing
- Assignee changed from Manuel Madrid to Juan Lucas Domínguez
- Target version set to 2.0.0-alpha6

#3 - 06/05/2012 08:30 AM - Juan Lucas Domínguez
- Status changed from New to In progress

#4 - 06/05/2012 09:26 AM - Juan Lucas Domínguez
- Status changed from In progress to Fixed

gvsig-desktop:r38378

Done: draw perimeter of extent instead of extent

#5 - 06/11/2012 11:56 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-alpha6 to 2.0.0-devel-2048

#6 - 07/02/2012 12:39 PM - María Maluenda
- Status changed from Fixed to Under review
I tested this bug in build 2049 (Linux and Windows).
Put a multipolygon layer in editing mode. Select the split tool. A rectangle not cover the geometry. But the split tool does not work well, because the
polygon selected is not split.

#7 - 07/03/2012 12:09 PM - Juan Lucas Domínguez

Hello.
I have tested it and yes, the split tool does not work well but the rectangle does not appear now.
Can we close this bug and open or re-open another bug with a more suitable name?

#8 - 07/04/2012 11:54 AM - Juan Lucas Domínguez

gvsig-desktop:r38539

Fixed issues in split tool.
Must be tested again in new build 2050

#9 - 07/10/2012 08:17 AM - Juan Lucas Domínguez
- Target version changed from 2.0.0-devel-2048 to 2.0.0-devel-2050

Changed target version so it can be tested normally in build 2050 (alpha7)

#10 - 07/13/2012 11:18 AM - Juan Lucas Domínguez
- Status changed from Under review to New

#11 - 07/13/2012 11:19 AM - Juan Lucas Domínguez
- Status changed from New to Fixed

#12 - 08/27/2012 12:29 PM - María Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2051
